<?php

namespace Drupal\martelus_companion\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Plugin\ContainerFactoryPluginInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Config\ConfigFactory;
/**
 * Provides a 'MartelusCompanionBlock' block.
 *
 * @Block(
 *  id = "martelus_companion_block",
 *  admin_label = @Translation("MartelusCompanion"),
 * )
 */

class MartelusCompanionBlock extends BlockBase implements ContainerFactoryPluginInterface {

  /**
   * Defines the configuration object factory.
   *
   * @var Drupal\Core\Config\ConfigFactory
   */
  protected $config;

  /**
   * {@inheritdoc}
   */
  public function __construct(array $configuration, $plugin_id, $plugin_definition, ConfigFactory $config) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
    $this->config = $config;
  }

  public static function create(ContainerInterface $container, array $configuration, $plugin_id, $plugin_definition) {
    $instance = new static(
      $configuration,
      $plugin_id,
      $plugin_definition,
      $container->get('config.factory')
    );
    return $instance;
  }

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return [
    ] + parent::defaultConfiguration();
  }

  /**
   * {@inheritdoc}
   */
  public function build() {
    $config = $this->config->get('martelus_companion.settings');

    $items = array();
    $items['accountid'] = $config->get('accountid');
    $renderable = [
      '#theme' => 'martelus-companion',
      '#content' => $items,
    ];

    return $renderable;
  }
}


